GNUNET-DHT-GET(1)

NAME
gnunet-dht-get - Issue a GET request to the DHT. Prints results.

SYNOPSIS
gnunet-dht-get [-c FILENAME | --config=FILENAME] [-h | --help] [-k KEY | --key=KEY] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l LOGFILE | --logfile=LOGFILE] [-R | --record] [-r LEVEL | --replication=LEVEL] [-T TYPE | --type=TYPE] [-V | --verbose] [-v | --version] [-x | --demultiplex]

DESCRIPTION
gnunet-dht-get is a command line tool to issue GET requests to the DHT.

OPTIONS

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-h | --help
    Print short help on options.

-k KEY | --key=KEY
    use the query key KEY.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-l LOGFILE | --logfile=LOGFILE
    Configure logging to write logs to LOGFILE.

-R | --record
    Set DHT's record route option for the request.

-r LEVEL | -replication-level=LEVEL
    Use the DHT replication level LEVEL.

-t TYPE | -type=TYPE
    the block type to look for under KEY.

-V | --verbose
    be verbose.

-v | --version
    Print GNUnet version number.

-x | --demultiplex
    Set DHT's demultiplex everywhere option.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.